function gradProj = grad_projection(grad1, grad2, d)
% 
% Work protected by the Attribution-NonCommercial-ShareAlike 3.0 Unported
% Creative Commons license
% http://creativecommons.org/licenses/by-nc-sa/3.0/


% the compoment of g1 that is perpendicular to g2  
     g1 = unroll(grad1);
     g2 = unroll(grad2);

     g2 = g2/norm(g2, 2);
     gtemp = g1 - (g2'*g1)*g2;
     gtemp = gtemp/norm(gtemp, 2);   % normalize
gradProj = packcolume(gtemp, d, d);
